Bug 101059 - Save to xlsx from LibreCalc and cannot open from Excel 2007
Summary: Save to xlsx from LibreCalc and cannot open from Excel 2007
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Bartosz
QA Contact:
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks:
 
Reported: 2016-07-21 13:35 UTC by pintubigfoot
Modified: 2016-11-23 14:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
If you open it with LibreCalc, it will be fine. But if you open with Excel 2007, it will fail (159.92 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-07-21 13:35 UTC, pintubigfoot
Details
screenshots, the error message, and the xlsx saved with excel 2007, (404.94 KB, application/x-zip-compressed)
2016-10-25 11:09 UTC, pintubigfoot
Details
Fix 1 (163.27 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-10-25 15:58 UTC, Bartosz
Details
Fix2 (163.22 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-10-25 15:58 UTC, Bartosz
Details
Fix3 (162.98 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-10-25 15:58 UTC, Bartosz
Details
Fix4 (162.98 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-10-25 15:59 UTC, Bartosz
Details
Fix5 (163.30 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-10-25 15:59 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pintubigfoot 2016-07-21 13:35:08 UTC
Created attachment 126344 [details]
If you open it with LibreCalc, it will be fine. But if you open with Excel 2007, it will fail

I save the xlsx from LibreCalc. 

When I open it with Excel 2007, it gives me error "Excel found unreadable content in *******.xls. Do you want to recover the contents of this workbook? If you trust the source of this workbook, click yes"

I have tried to follow the suggestion from https://bugs.documentfoundation.org/show_bug.cgi?id=42906 (Tools -> Options -> Load/Save -> General, choose the ODF format version > ODF 1.0/1.1) and it does not help.

Attached is the example file.
Comment 1 Buovjaga 2016-08-03 19:32:38 UTC
No such problem with Excel 2013. I also saved it from LibreOffice and again it opened fine in Excel.
Not sure, if we should care about interoperability with obsolete MSO versions?

Win 8.1 32-bit
MSO 2013
LibO Version: 5.3.0.0.alpha0+
Build ID: 9f8f6e032a61beaddeaa3bf3bb0ed08581c15b17
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-08-03_08:09:13
Locale: fi-FI (fi_FI); Calc: group
Comment 2 Bartosz 2016-08-03 23:59:38 UTC Comment hidden (obsolete)
Comment 3 Bartosz 2016-08-03 23:59:47 UTC
I don't have such problems with MS Excel 2010
Comment 4 Bartosz 2016-08-04 00:01:52 UTC
After open corrupted file, please save it again with Excel 2007 into .xlsx.

Is it solve that opening issue?
Please attach this file which you have resaved.
Comment 5 Buovjaga 2016-08-04 09:08:23 UTC
Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 6 pintubigfoot 2016-10-22 07:31:28 UTC
I tried it with Excel 2010, it works.

If this really works only with Excel 2010 onward, should the "save as type" in the combo box' Save As dialog be changed from "Microsoft Excel 2007-2013 XML (.xlsx)(*.xlsx)" to "Microsoft Excel 2010-2013 XML (.xlsx)(*.xlsx)"?
Comment 7 Bartosz 2016-10-22 17:01:18 UTC
@pintubigfoot I would like to resolve this issue by fixing LibreOffice, to produce Office 2007 compatible .xlsx documents.

To resolve that I need your help (as I don't own Office 2007):

1. Please open document attached by you in Office 2007
2. When error appears, please provide screenshot of it.
3. Save again .xlsx document (different name) and attach to this bug report.
4. Please check if the problem still exists (in Office 2007) with re-saved document

It will dramatically simplify resolving of this issue
Comment 8 pintubigfoot 2016-10-25 11:09:23 UTC
Created attachment 128241 [details]
screenshots, the error message, and the xlsx saved with excel 2007,

Hello Bartosz,

Glad to hear that.
Attached are the screenshots, error message, and xlsx.
Let me know if you need some more info.

Thanks.
Comment 9 Bartosz 2016-10-25 15:58:23 UTC
Created attachment 128257 [details]
Fix 1

Please check which fixed file is wotking for you.
Comment 10 Bartosz 2016-10-25 15:58:46 UTC
Created attachment 128258 [details]
Fix2
Comment 11 Bartosz 2016-10-25 15:58:58 UTC
Created attachment 128259 [details]
Fix3
Comment 12 Bartosz 2016-10-25 15:59:13 UTC
Created attachment 128260 [details]
Fix4
Comment 13 Bartosz 2016-10-25 15:59:31 UTC
Created attachment 128261 [details]
Fix5
Comment 14 pintubigfoot 2016-11-15 06:49:03 UTC
(In reply to Bartosz from comment #13)
> Created attachment 128261 [details]
> Fix5

Hi Bartosz,

Thanks for the fast response, and apologies for delay.

Fix5 resolves the problem!
The Excel 2007 opens that file perfectly without any error.

In what version can this be planned to be part of LibreCalc release?
Comment 15 Bartosz 2016-11-18 11:47:56 UTC
Here is the review for the fix:
https://gerrit.libreoffice.org/#/c/30960/
Comment 16 pintubigfoot 2016-11-22 16:57:59 UTC
Okay, I will be monitoring from there. Thanks!